components/python/kombu/kombu-PYVER.p5m
branchs11-update
changeset 4072 db0cec748ec0
parent 3704 69ab8eca01c5
child 6035 c9748fcc32de
--- a/components/python/kombu/kombu-PYVER.p5m	Tue Apr 07 15:49:29 2015 -0700
+++ b/components/python/kombu/kombu-PYVER.p5m	Tue Apr 07 13:31:20 2015 -0700
@@ -18,16 +18,11 @@
 #
 # CDDL HEADER END
 #
+
+#
 # Copyright (c) 2012, 2015, Oracle and/or its affiliates. All rights reserved.
 #
 
-# importlib is part of python 2.7, but separate in 2.6
-<transform depend type=require fmri=library/python/importlib-27 -> drop>
-# ordereddict is part of python 2.7, but separate in 2.6
-<transform depend type=require fmri=library/python/ordereddict-27 -> drop>
-# The test related file actions have not been included because they will fail
-# in dependency generation until the various test related modules that they
-# need are also provided.
 set name=pkg.fmri \
     value=pkg:/library/python/kombu-$(PYV)@$(IPS_COMPONENT_VERSION),$(BUILD_VERSION)
 set name=pkg.summary value="Messaging framework for Python"
@@ -42,6 +37,7 @@
 set name=info.upstream-url value=$(COMPONENT_PROJECT_URL)
 set name=org.opensolaris.arc-caseid value=PSARC/2013/187
 set name=org.opensolaris.consolidation value=$(CONSOLIDATION)
+#
 file path=usr/lib/python$(PYVER)/vendor-packages/kombu-$(COMPONENT_VERSION)-py$(PYVER).egg-info/PKG-INFO
 file path=usr/lib/python$(PYVER)/vendor-packages/kombu-$(COMPONENT_VERSION)-py$(PYVER).egg-info/SOURCES.txt
 file path=usr/lib/python$(PYVER)/vendor-packages/kombu-$(COMPONENT_VERSION)-py$(PYVER).egg-info/dependency_links.txt
@@ -50,6 +46,10 @@
 file path=usr/lib/python$(PYVER)/vendor-packages/kombu-$(COMPONENT_VERSION)-py$(PYVER).egg-info/top_level.txt
 file path=usr/lib/python$(PYVER)/vendor-packages/kombu/__init__.py
 file path=usr/lib/python$(PYVER)/vendor-packages/kombu/abstract.py
+file path=usr/lib/python$(PYVER)/vendor-packages/kombu/async/__init__.py
+file path=usr/lib/python$(PYVER)/vendor-packages/kombu/async/hub.py
+file path=usr/lib/python$(PYVER)/vendor-packages/kombu/async/semaphore.py
+file path=usr/lib/python$(PYVER)/vendor-packages/kombu/async/timer.py
 file path=usr/lib/python$(PYVER)/vendor-packages/kombu/clocks.py
 file path=usr/lib/python$(PYVER)/vendor-packages/kombu/common.py
 file path=usr/lib/python$(PYVER)/vendor-packages/kombu/compat.py
@@ -57,7 +57,9 @@
 file path=usr/lib/python$(PYVER)/vendor-packages/kombu/connection.py
 file path=usr/lib/python$(PYVER)/vendor-packages/kombu/entity.py
 file path=usr/lib/python$(PYVER)/vendor-packages/kombu/exceptions.py
+file path=usr/lib/python$(PYVER)/vendor-packages/kombu/five.py
 file path=usr/lib/python$(PYVER)/vendor-packages/kombu/log.py
+file path=usr/lib/python$(PYVER)/vendor-packages/kombu/message.py
 file path=usr/lib/python$(PYVER)/vendor-packages/kombu/messaging.py
 file path=usr/lib/python$(PYVER)/vendor-packages/kombu/mixins.py
 file path=usr/lib/python$(PYVER)/vendor-packages/kombu/pidbox.py
@@ -65,6 +67,7 @@
 file path=usr/lib/python$(PYVER)/vendor-packages/kombu/serialization.py
 file path=usr/lib/python$(PYVER)/vendor-packages/kombu/simple.py
 file path=usr/lib/python$(PYVER)/vendor-packages/kombu/syn.py
+file path=usr/lib/python$(PYVER)/vendor-packages/kombu/transport/SLMQ.py
 file path=usr/lib/python$(PYVER)/vendor-packages/kombu/transport/SQS.py
 file path=usr/lib/python$(PYVER)/vendor-packages/kombu/transport/__init__.py
 file path=usr/lib/python$(PYVER)/vendor-packages/kombu/transport/amqplib.py
@@ -84,6 +87,7 @@
 file path=usr/lib/python$(PYVER)/vendor-packages/kombu/transport/memory.py
 file path=usr/lib/python$(PYVER)/vendor-packages/kombu/transport/mongodb.py
 file path=usr/lib/python$(PYVER)/vendor-packages/kombu/transport/pyamqp.py
+file path=usr/lib/python$(PYVER)/vendor-packages/kombu/transport/pyro.py
 file path=usr/lib/python$(PYVER)/vendor-packages/kombu/transport/redis.py
 file path=usr/lib/python$(PYVER)/vendor-packages/kombu/transport/sqlalchemy/__init__.py
 file path=usr/lib/python$(PYVER)/vendor-packages/kombu/transport/sqlalchemy/models.py
@@ -98,13 +102,45 @@
 file path=usr/lib/python$(PYVER)/vendor-packages/kombu/utils/debug.py
 file path=usr/lib/python$(PYVER)/vendor-packages/kombu/utils/encoding.py
 file path=usr/lib/python$(PYVER)/vendor-packages/kombu/utils/eventio.py
-file path=usr/lib/python$(PYVER)/vendor-packages/kombu/utils/finalize.py
 file path=usr/lib/python$(PYVER)/vendor-packages/kombu/utils/functional.py
 file path=usr/lib/python$(PYVER)/vendor-packages/kombu/utils/limits.py
 file path=usr/lib/python$(PYVER)/vendor-packages/kombu/utils/text.py
 file path=usr/lib/python$(PYVER)/vendor-packages/kombu/utils/url.py
+#
 license kombu.license license=BSD
 
+# force a group dependency on the optional anyjson; pkgdepend work is needed to
+# flush this out.
+depend type=group fmri=library/python/anyjson-$(PYV)
+
+# force a group dependency on the optional boto; pkgdepend work is needed to
+# flush this out.
+depend type=group fmri=library/python/boto-$(PYV)
+
+# force a group dependency on the optional django; pkgdepend work is needed to
+# flush this out.
+depend type=group fmri=library/python/django-$(PYV)
+
+# force a group dependency on the optional librabbitmq; pkgdepend work is needed
+# to flush this out.
+depend type=group fmri=library/python/librabbitmq-$(PYV)
+
+# force a group dependency on the optional pytz; pkgdepend work is needed to
+# flush this out.
+depend type=group fmri=library/python/pytz-$(PYV)
+
+# force a group dependency on the optional pyyaml; pkgdepend work is needed to
+# flush this out.
+depend type=group fmri=library/python/pyyaml-$(PYV)
+
+# force a group dependency on the optional setuptools; pkgdepend work is needed
+# to flush this out.
+depend type=group fmri=library/python/setuptools-$(PYV)
+
+# force a group dependency on the optional sqlalchemy; pkgdepend work is needed
+# to flush this out.
+depend type=group fmri=library/python/sqlalchemy-$(PYV)
+
 # force the rename with an optional dependency on the old name
 depend type=optional \
     fmri=library/python-2/kombu-$(PYV)@2.5.12,5.11-0.175.3.0.0.16.0
@@ -116,15 +152,6 @@
 # force a dependency on amqp; pkgdepend work is needed to flush this out.
 depend type=require fmri=library/python/amqp-$(PYV)
 
-# force a dependency on anyjson; pkgdepend work is needed to flush this out.
-depend type=require fmri=library/python/anyjson-$(PYV)
-
-# force a dependency on boto; pkgdepend work is needed to flush this out.
-depend type=require fmri=library/python/boto-$(PYV)
-
-# force a dependency on eventlet; pkgdepend work is needed to flush this out.
-depend type=require fmri=library/python/eventlet-$(PYV)
-
 # force a dependency on importlib; pkgdepend work is needed to flush this out.
 depend type=require fmri=library/python/importlib-$(PYV)
 
@@ -132,9 +159,6 @@
 depend type=require \
     fmri=library/python/[email protected]$(IPS_COMPONENT_VERSION),$(BUILD_VERSION)
 
-# force a dependency on librabbitmq; pkgdepend work is needed to flush this out.
-depend type=require fmri=library/python/librabbitmq-$(PYV)
-
 # force a dependency on ordereddict; pkgdepend work is needed to flush this out.
 depend type=require fmri=library/python/ordereddict-$(PYV)